package com.quyunshuo.module.home

import com.google.gson.Gson
import com.quyunshuo.module.home.fragment.fragment.TestGson
import org.junit.Test

import org.junit.Assert.*

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {
    @Test
    fun addition_isCorrect() {
        assertEquals(4, 2 + 2)
    }

    @Test
    fun test(){
        val json =
            """
    { "userName": "Donald Trump" }
    """

        val user = Gson().fromJson(json, TestGson::class.java)
        println(user)
    }
}